/*
 * JBoss, the OpenSource WebOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.xml.registry.infomodel;

import java.util.Collection;
import java.util.Set;
import javax.xml.registry.JAXRException;

/**
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public interface RegistryPackage
   extends RegistryEntry
{
   public void addRegistryObject(RegistryObject registryObject) throws JAXRException;
   public void addRegistryObjects(Collection registryObjects) throws JAXRException;
   public Set getRegistryObjects() throws JAXRException;
   public void removeRegistryObject(RegistryObject registryObject) throws JAXRException;
   public void removeRegistryObjects(Collection registryObjects) throws JAXRException;

}
